DATE = "$Date: 2012-07-10 09:23:21 -0500 (Tue, 10 Jul 2012) $"
REV = "$Rev: 1963 $"

AddDevice('micro', 'U', ['0 mm', '0 mm', '0 mm', '0 deg'],
          'microcontroller/ATtiny85', 'SO-8', 'so8_n', 'direct')

for i in range(4):
    AddDevice('LED{:01}'.format(i), 'D',
              ['-10 mm', Length(5, 'mm') * (i - 1.5), '0 mm', '180 deg'],
              'led/led', 'AK', '0402', 'ak')

for i in range(4):
    AddEP('LED[{:01}]'.format(i), 'LED{:01}'.format(i), has_pinfunc, ['anode'])
    AddEP('LED[{:01}]'.format(i), 'micro', pinfunc_match, ['^P[A-D][0-9]+$'])
    AddEP('GND', 'LED{:01}'.format(i), has_pinfunc, ['cathode'])

AddEP('RESET_n', 'micro', has_pinfunc, ['RESET_n'])

AddEP('GND', 'micro', has_pinfunc, ['GND'], all = True)

