DATE = "$Date: 2012-08-07 22:34:53 -0500 (Tue, 07 Aug 2012) $"
REV = "$Rev: 1994 $"

AddDevice('micro', 'U', ['0 mm', '0 mm', '0 mm', '0 deg'],
          'microcontroller/ATtiny85', 'SO-8', 'so8_n', 'direct')

AddDevice('LED_main', 'D', ['-10 mm', '0 mm', '0 mm', '180 deg'],
          'led/led', 'AK', '0402', 'ak')

BundleNets('Bundle_LED', ['LED'])
AddSimpleEP('Bundle_LED', 'LED_main', has_pinfunc, ['anode'])
AddSimpleEP('Bundle_LED', 'micro', has_pinfunc, ['PB0'])

AddSimpleEP('Bundle_GND', 'LED_main', has_pinfunc, ['cathode'], all = True)
AddSimpleEP('Bundle_GND', 'micro', has_pinfunc, ['GND'], all = True)
BundleNets('Bundle_GND', ['GND'])

Group('Power', ['GND'])
GroupParams('Power', {'width' : '0.5 mm'})
