#!/usr/bin/env python3

"""Map pinkey from LogicalPackage pinkey to PhysicalPackage pinkey:
-   logical anode to physical pin 1
-   logical cathode to physical pin 2"""

import wallpy.misc

def func_log2phy(key):
    key = key.lower()

    if (key == 'a') or (key == 'anode'):
        return (1, )

    if (key == 'k') or (key == 'cathode'):
        return (2, )

    return tuple()

log2phy = wallpy.misc.CachedMap(func_log2phy)
